What happened to my attributes

Discussion in 'AutoCAD' started by thenrich, Oct 29, 2004.

  1. thenrich

    thenrich Guest

    What am I doing wrong? When the block is inserted In need the attributes to be displayed

    (progn
    (setvar "attreq" 0)
    (COMMAND ".INSERT" block_dwg PT5 (wm_scale) "" "0")
    (setq blk_chk (ssget "L" ))
    (setq data (entget (ssname blk_chk 0)))
    (setq blk_sca (cdr (assoc 41 data)))
    (next_vertex)
    (setq blk_att_siz (cdr (assoc 40 data)))
    (if (= (rtos (/ blk_att_siz blk_sca) 2 5) ".09375")
    (setq pt4 (polar pt5 ang (* -0.25 blk_sca)))
    (setq pt4 (polar pt5 ang (* -0.336 blk_sca)))
    )
    (COMMAND ".LINE" "none" PT3 "none" PT4 "")
    (setvar "attreq" 1)
    ) ;progn
     
    thenrich, Oct 29, 2004
    #1
  2. Hi thenrich,

    When you set the variable attreq to 0, according to the help files this
    setting assumes the defaults for the values of all attributes. So either
    change that first setting to 1 instead or if your attreq is always set to 1
    then take those statements out altogether and then your attribute prompts
    will be displayed. Also, if you are using AutoCAD 2005 (or 2004 also?) then
    INSERT should be -INSERT, with the - (dash).

    Hope this helps you out.

    Arnold Williams
     
    Arnold Williams, Oct 29, 2004
    #2
  3. thenrich

    ECCAD Guest

    (setvar "attmode" 1)
    Check system variable 'attmode'. If 0, no attrib's will be visible.
    See the help on this.

    Bob
     
    ECCAD, Oct 29, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.